@font-face {
    font-family: 'Quattrocento';
    src: url('schrift/quattrocento-v24-latin-regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

.corner-link {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 99999;
}

.corner-link img {
    width: 114px;
    height: auto;
    display: block;
}

body.comissions .corner-link {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 99999;
}

body.comissions .corner-link img,
body.contactme .corner-link img {
    width: 114px;
    height: auto;
    display: block;
}

.screen {
    width: 100vw;
    min-height: 100vh;
    position: relative;
}

body.comissions, 
body.contactme,
body.hello {
    background-color: #fa0000;
}

body.mainpage,
body.menu,
body.blog {
    background-color: #ff6ead;
}

body.portfolio {
    background-color: white;
}

body.mainpage {
    overflow: hidden;
}

body.portfolio,
body.menu,
body.mainpage {
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: hidden;
}

body.menu a {
    color: #fa0000;
    text-decoration: none;
}

body.portfolio a:focus {
    outline: 3px solid #fa0000;
    border-radius: 10px;
}

/*burger menu--------------------------------------------------*/
#menu-toggle {
    display: none;
}

.burger {
    position: fixed;
    top: 20px;
    left: 20px;
    font-size: 50px;
    font-family: Impact, Haettenschweiler, sans-serif;
    cursor: pointer;
    z-index: 99999;
}

body.menu .side-menu {
    padding-top: 110px;
}

body.portfolio .burger,
body.menu .burger {
    color: #fa0000;
}

body.contactme .burger,
body.comissions .burger,
body.hello .burger,
body.blog .burger {
    color: #ffffff;
}

.side-menu {
    position: fixed;
    top: 0;
    left: -300px;
    width: 250px;
    height: 100vh;
    background: #000000;
    transition: left 0.3s ease;
    padding-top: 60px;
    justify-content: flex-start;
    display: flex;
    flex-direction: column;
    gap: 20px;
    z-index: 99998;
}

#menu-toggle:checked ~ .side-menu {
    left: 0;
}

body .side-menu a {
    font-family: Impact, Haettenschweiler, sans-serif;
    color: white;
    text-decoration: none;
    font-size: 28px;
    padding-left: 20px;
}

.body.menu .side-menu {
    color: #ffffff;
}

/*ende burger menu--------------------------------------------------*/

/*anfang hello--------------------------------------------------*/

html.hello, body.hello {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

/* ROOT */
.poster {
    position: relative;
    left: 16vw;
    top: -3vw;
}

/* ROSA BLOCK */
.dahinter {
    position: absolute;
    left: -27vw;

    width: 111%;
    height: 172%;

    background-color: #ff6ead;
    z-index: 0;
}

/* HELLO */
.hi {
    font-family: Impact, Haettenschweiler, sans-serif;
    color: #fa0000;

    font-size: clamp(92px, 18vw, 330px);
    transform-origin: top;
    transform: scaleY(2.1);

    margin: 0;

    position: relative;
    z-index: 2;
}

/* PNG NEBEN HELLO */
.forest {
    position: absolute;

    left: calc(100% - 109.7vw);

    z-index: 2;
    
    top: 44%;
}

.forest img {
    width: clamp(6px, 12vw, 213px);
    height: auto;

    display: block;
}

/* WHITE TEXT */
.here {
    font-family: 'Quattrocento';
    font-size: clamp(32px, 3.9vw, 70px);
    color: white;

    position: absolute;
    right: 28vw;
    bottom: -16.8vw;

    z-index: 3;
}

body.hello .navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(10px, 1.5vw, 40px);

    width: 100%;
    margin-top: 25%;   /* Abstand unter HELLO */
    padding-bottom: 1%;
    margin-left: 4%;

    background-color: #fa0000;
}

body.hello .navbar a {
    color: white;
    font-family: Impact, Haettenschweiler, sans-serif;
    text-decoration: none;
    font-size: clamp(7px, 2.7vw, 56px);
    z-index: 5;
}

body.hello .footer {
    width: 100%;
    padding: 16px 13px 16px;
    display: flex;
    justify-content: flex-start; /* links */
    background-color: #fa0000;
    z-index: 5;
}

body.hello .contact {
    display: flex;
    z-index: 5;
}

body.hello .contact img {
    width: 40px;  
    cursor: pointer;
    z-index: 5;
}

@media (max-width: 768px) {

.burger {
    position: fixed;
    top: 0;
    left: 5px;
    font-size: 41px;
    font-family: Impact, Haettenschweiler, sans-serif;
    cursor: pointer;
    z-index: 99999;
}
    
body.hello .here {
    font-family: 'Quattrocento';
    font-size: clamp(23px, 3.9vw, 70px);
    color: white;

    position: absolute;
    right: 22vw;
    bottom: -23.5vw;

    z-index: 3;
}
    
}
/*ende hello--------------------------------------------------*/

/*mainpage start*/

* {
    margin: 0;
    padding: 0;
    outline: none
}

body.mainpage {
   background-color: #ff6ead;
    overflow: hidden;
}

body.mainpage .screen {
    position: absolute;
    
    width: 1920px;
    height: 1080px;
    
    top: 50%;
    left: 50%;
    
    transform-origin: center;
    transform: translate(-50%, -50%) scale(var(--scale));
}

/* Hintergrundbild */
body.mainpage .screen img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Text in der Mitte */
body.mainpage .center-text {
    position: absolute;
    top: 47.9%;
    left: 49.6%;
    
    transform: translate(-49%, -47%) scaleY(2.1);

    color: white; 
   
    font-family: Impact, Haettenschweiler, sans-serif;
    font-size: 119px;
    
    letter-spacing: 5.6px;
    text-decoration: none;
    
    transition: transform 0.4s ease;
}

/* Hover Effekt (wird größer beim drüberfahren) */
body.mainpage .center-text:hover {
    transform: translate(-50%, -50%) scaleY(1.2) scale(1.2);
    cursor: pointer;
}
/*Ende von mainpage--------------------------------------------------*/

/*Anfang menu--------------------------------------------------*/
.oben {
    position: relative;
    width: min(100vw, 1920px);
    height: calc(min(100vw, 1920px) * 9 / 16);
    padding: 20px;

    background-image: url("fotos/portrait.png");
    background-size: cover;
    background-position: center;
}

.schriftoben {
    color: #fa0000;
    font-family: Impact, Haettenschweiler, sans-serif;
    font-size: clamp(30px, 13vw, 312px);
    text-align: center;
    margin-top: -24px;
}


/* TEXTBOX */
.overlay-text {
    position: absolute;
    top: 26%;
    right: 9%;
    padding: 15px;

    width: 38%;
    height: 64%;

    overflow-y: auto;

    color: white;
    font-family: 'Quattrocento', serif;
    font-size: clamp(23px, 2.2vw, 88px);
    line-height: 1.2;

    z-index: 9999;
}

/* Scrollbar (zusammengefasst) */
.overlay-text::-webkit-scrollbar,
.overlay-text-mitte::-webkit-scrollbar,
.overlay-text-mitte-2::-webkit-scrollbar {
    width: 6px;
}

.overlay-text::-webkit-scrollbar-thumb,
.overlay-text-mitte::-webkit-scrollbar-thumb,
.overlay-text-mitte-2::-webkit-scrollbar-thumb {
    background: white;
}

/* CONTENT SECTIONS */
body.menu .screen,
body.menu .mitte,
body.menu .unten {
    position: relative;
    width: min(100vw, 1920px);
    height: calc(min(100vw, 1920px) * 9 / 16);
}

/* Bilder*/
body.menu .screen img,
.mitte img,
.unten img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.bg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Die weiße Box */
.mitte {
    background-color: white;
}

/* Auge-Bild */
.auge img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
}

/* Vordergrund PNG */
.mitte > img {
    position: relative;
    z-index: 3;
}

/* Texte vorne */
.overlay-text-mitte,
.overlay-text-mitte-2 {
    position: absolute;
    z-index: 10;
    color: white;
    font-family: Impact, Haettenschweiler, sans-serif;
    font-size: clamp(17px, 3.5vw, 79px);
    line-height: 1.2;
}

/* individuelle Positionen */
.overlay-text-mitte {
    top: 12%;
    left: 17%;
    width: 30%;
}

.overlay-text-mitte-2 {
    top: 34%;
    left: 6%;
    width: 43%;
}

/* BUTTON */
body.menu .overlay-link {
    position: absolute;
    top: 70%;
    left: 57.7%;
    transform: translate(-50%, -50%);
    z-index: 10;
}

.overlay-link img {
    width: calc(min(89vw, 1920px) * 0.34);
    height: auto;
    transition: transform 0.2s ease;
}

.overlay-link:hover img {
    transform: scale(1.15);
}

@media (max-width: 768px) {

    body.menu .oben {
        height: auto;
        min-height: 60vh;
    }

    body.menu .schriftoben {
        font-size: 18vw;
    }

    body.menu .overlay-text {
        position: static;
        width: 67%;
        height: auto;
        margin: 30px auto;
        background-color: #ff6ead;
        opacity: 0.7;
        overflow: visible;
        font-size: 22px;
    }

    body.menu .mitte {
        width: 166vw;
        height: calc(170vw * 9 / 16);
    }

    body.menu .overlay-text-mitte,
    body.menu .overlay-text-mitte-2 {
        font-size: 6vw;
    }

    body.menu .overlay-text-mitte {
        top: 11%;
        left: 17%;
        width: 31%;
    }

    body.menu .overlay-text-mitte-2 {
        top: 34%;
        width: 41%;
    }

    body.menu .auge img {
        top: 22%;
        left: -26%;
        height: auto;
    }

    body.menu .unten {
        width: 100vw;
        height: auto;
        margin-top: 71px;
    }

    body.menu .unten img.bg {
        width: 100%;
        height: auto;
    }
}
/*Ende menu--------------------------------------------------*/

/*Anfang portfolio--------------------------------------------------*/

/* SEKTION 1: PORTFOLIO GRID */

body.portfolio img {
    display: block;
}

.text-bild-container {
    position: relative;
    width: 100%;
    margin-top: 19%;
}

.rote-schrift {
    color: #ffffff;
    font-family: Impact, Haettenschweiler, sans-serif;
    font-size: clamp(91px, 23vw, 355px);
    text-align: center;
    transform: scaleY(2.9);
    display: block;
    margin-top: -6%;
    margin-bottom: 23%;
}

/* Portfolio Buttons */
.taize img,
.mountain img,
.junge img,
.verflussigen img {
    position: absolute;
    width: 23%;
    height: auto;
    top: 74%;
    transform: translateX(-50%);
    transition: transform 0.3s ease;
    cursor: pointer;
}

/* individuelle Positionen */
.taize img        { left: 14%; }
.mountain img     { left: 38%; }
.junge img        { left: 62%; }
.verflussigen img { left: 86%; }

/* Hover Effekt */
.taize img:hover,
.mountain img:hover,
.junge img:hover,
.verflussigen img:hover {
    transform: translateX(-50%) scale(1.1);
}

body.portfolio p {
    padding-top: 4%
}

.taize-text {
    font-family: 'Quattrocento';
    max-width: 50%;
    color: #000000;
    font-size: clamp(21px, 1.3vw, 26px);
    line-height: 1.2;

    text-align: left;
    margin-left: 3%;
    margin-bottom: -4%
}

.oberer-hintergrund {
    background-color: #ff6ead; /* dein rosa */
    padding: 0.1%;
    margin-bottom: 9%;
}

.drüber-taize {
    font-family: Impact, Haettenschweiler;
    max-width: 95%;
    color: #000000;
    font-size: clamp(40px, 1.3vw, 49px);

    text-align: right;
    margin-left: 3%;
    margin-bottom: 2%;
}

.rosa-linie {
    width: 77%;
    height: 28px;
    background: #d9d9d9;
    text-align-last: left; 
}

.gallery {
    position: relative;
    width: 95vw;
    height: 100vh;
    margin: auto;
    background: #d9d9d9;
    overflow: hidden;
    margin-top: 5%;
    margin-bottom: 12%;
}

/* Radios verstecken */
.gallery input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

/* Slides */
.slides {
    position: relative;
    width: 100%;
    height: 100%;
}

.slide {
    position: absolute;
    inset: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    opacity: 0;
    transition: opacity 0.5s ease;
}

.slide img {
    max-width: 90%;
    max-height: 90vh;
    object-fit: contain;
}

/* Sichtbare Bilder */
#s1:checked ~ .slides .slide1 { opacity: 1; }
#s2:checked ~ .slides .slide2 { opacity: 1; }
#s3:checked ~ .slides .slide3 { opacity: 1; }
#s4:checked ~ .slides .slide4 { opacity: 1; }
#s5:checked ~ .slides .slide5 { opacity: 1; }

/* Navigation */
.nav {
    position: absolute;
    top: 88%;
    right: 2%;

    display: flex;
    flex-direction: column;

    transform: translateY(-50%);
    pointer-events: none;
}

.nav label {
    display: none;

    pointer-events: auto;
    cursor: pointer;

    color: white;
    font-size: 55px;
    line-height: 1;

    user-select: none;
    transition: transform 0.2s ease;
}

.nav label:hover {
    transform: scale(1.2);
}

/* Nur die passenden Pfeile anzeigen */
#s1:checked ~ .nav .s1nav { display: block; }
#s2:checked ~ .nav .s2nav { display: block; }
#s3:checked ~ .nav .s3nav { display: block; }
#s4:checked ~ .nav .s4nav { display: block; }
#s5:checked ~ .nav .s5nav { display: block; }

/*zweie gallerie------------------------------------------------*/
#s6:checked ~ .slides .slide6 { opacity: 1; }
#s7:checked ~ .slides .slide7 { opacity: 1; }
#s8:checked ~ .slides .slide8 { opacity: 1; }

/*Pfeile */
#s6:checked ~ .nav .s6nav { display: block; }
#s7:checked ~ .nav .s7nav { display: block; }
#s8:checked ~ .nav .s8nav { display: block; }

/* dritte gallerie ------------------------------------------------*/

/* SLIDES anzeigen */
#s9:checked ~ .slides .slide9,
#s10:checked ~ .slides .slide10,
#s11:checked ~ .slides .slide11,
#s12:checked ~ .slides .slide12,
#s13:checked ~ .slides .slide13,
#s14:checked ~ .slides .slide14,
#s15:checked ~ .slides .slide15,
#s16:checked ~ .slides .slide16,
#s17:checked ~ .slides .slide17 {
    opacity: 1;
}

/* NAV anzeigen */
#s9:checked ~ .nav .s9nav,
#s10:checked ~ .nav .s10nav,
#s11:checked ~ .nav .s11nav,
#s12:checked ~ .nav .s12nav,
#s13:checked ~ .nav .s13nav,
#s14:checked ~ .nav .s14nav,
#s15:checked ~ .nav .s15nav,
#s16:checked ~ .nav .s16nav,
#s17:checked ~ .nav .s17nav {
    display: block;
}

/* vierte gallerie ------------------------------------------------*/

/* Bilder sichtbar machen */
#s18:checked ~ .slides .slide18,
#s19:checked ~ .slides .slide19,
#s20:checked ~ .slides .slide20 {
    opacity: 1;
}

/* Pfeile anzeigen */
#s18:checked ~ .nav .s18nav,
#s19:checked ~ .nav .s19nav,
#s20:checked ~ .nav .s20nav {
    display: block;
}

@media (max-width: 768px){

    .taize-text {
    font-family: 'Quattrocento';
    max-width: 100%;
    color: #000000;
    font-size: clamp(21px, 1.3vw, 26px);
    line-height: 1;

    text-align: left;
    margin-left: 3%;
}
    
}

/*Ende portfolio--------------------------------------------------*/

/*Anfang blog--------------------------------------------------*/

html.blog, body.blog {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

.weise-linie {
    width: 77%;
    height: 28px;
    background: #fa0000;
    text-align-last: left; 
}

.blog-titel {
    color: #ffffff;
    font-family: Impact, Haettenschweiler;
    font-size: 834%;
    text-align-last: center;
}

.oben-kasten {
    width: 30%;
    height: 163px;
    background: #fa0000;
}

.header {
    display: flex;
    align-items: center;   /* vertikal ausrichten */
    gap: 26px;             /* Abstand zwischen den Elementen */
}

.datum {
    font-family: Impact, Haettenschweiler;
    max-width: 95%;
    color: white;
    font-size: clamp(22px, 3.6vw, 49px);

    text-align: right;
    margin-left: 3%;
    margin-top: 4%;
    
}

.datum-2 {
    font-family: Impact, Haettenschweiler;
    max-width: 95%;
    color: white;
    font-size: clamp(22px, 3.6vw, 49px);

    text-align: right;
    margin-right: 89%;
    margin-top: 4%;
    
}

.musik-kasten {
    position: relative;
    width: 97%;
    height: 17vw;
    background: #fa0000;

    margin-left: 17%;
    margin-bottom: 2%;
}

.musik-kasten-2 {
    position: relative;
    width: 84%;
    height: 17vw;
    
    background: #fa0000;
    
    margin-bottom: 2%;
}


.kasten-text {
    position: absolute;
    width: 26vw;

    top: 6%;
    right: 84%;
    
    
    font-size: clamp(18px, 3.2vw, 82px);
    font-family: Impact, Haettenschweiler;
    color: white;
    
    transform: rotate(-90deg);
    
}

.kasten-text-3 {
    position: absolute;
    width: 15vw;

    top: 39%;
    left: 88%;
    
    
    font-size: clamp(11px, 2.8vw, 80px);
    font-family: Impact, Haettenschweiler;
    color: white;
    
    transform: rotate(-90deg);
}

.gray {
    position: absolute;

    top: 10%;
    left: 8%;
}

.gray img {
    width: 21vw;
    height: auto;
}

.gray-beschreibung {
    position: absolute;
    width: 45%;

    top: 16%;
    left: 33%;

    font-size: clamp(8px, 1.8vw, 39px);

    font-family: 'Quattrocento';
    color: white;
}

.gray-2 {
    position: absolute;

    top: 1%;
    left: 62%;
}

.gray-2 img {
    width: 24vw;
    height: auto;
}

.gray-beschreibung-2 {
    position: absolute;
    width: 44vw;

    top: 9%;
    left: 5%;
    
    text-align: right;
      font-size: clamp(8px, 1.8vw, 39px);
    font-family: 'Quattrocento';
    color: white;
}

@media (max-width: 768px) {

.musik-kasten {
    width: 100vw;
    height: calc(143vw * 9 / 16);
}
    
.musik-kasten-2 {
    width: 84vw;
    height: calc(143vw * 9 / 16);
}
    
.gray-beschreibung {
    top: 9%;
    left: 40%;
    width: 40%;
    font-size: clamp(14px, 3.9vw, 60px);
}
    
.gray-beschreibung-2 {
    top: 9%;
    left: 10%;
    width: 46%;
    font-size: clamp(14px, 3.6vw, 60px);
}
    
.gray img{
    width: 36vw;
}
    
.gray {
    top: 2%;
    left: 1%;
}
   
.gray-2 img{
     width: 36vw;
}    
    
.gray-2 {
    top: 0%;
    left: 56%;
}
    
.kasten-text {
    top: 36vw;
    right: 56vw;
    width: 75vw;
    font-size: clamp(35px, 4.2vw, 60px);
}
    
.kasten-text-3 {
    top: 47vw;
    left: 50vw;
    width: 53vw;
    font-size: clamp(35px, 4.2vw, 60px);
}
   
}

/*Anfang portfolio--------------------------------------------------*/

/*Anfang contactme--------------------------------------------------*/


.impressum {
    color: white;
    font-family: Impact, Haettenschweiler;
    margin-left: 46%;
    margin-top: -53%;
    font-size: clamp(27px, 4.4vw, 142px);
    margin-bottom: 5%;
    width: 50%;
}


.schrift {
    color: #ffffff;
    font-family: "Quattrocento", serif;
    font-size: clamp(14px, 2.5vw, 104px);
    margin-left: 46%;
    width: 50%;
}

body.contactme, 
body.comissions {
    margin: 0;
    padding: 0;
    overflow-x: visible;
}


body.contactme img,
body.comissions img {
    width: 104%;
    height: auto;
    object-fit: cover;
    transform: translateX(-26%);
}

body.contactme p {
    margin-bottom: 20px;
}

body.comissions p {
    margin-bottom: 20px;
    margin-top: 20px;
}


/*Ende contactme--------------------------------------------------*/

/*Anfang Navbar--------------------------------------------------*/
.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(10px, 1.5vw, 40px);

    width: min(100vw, 1920px);
    margin: 0 auto;
    padding-top: 20px;
    padding-bottom: 4%;
    background-color: #fa0000;
    z-index: 5;
}

body .navbar a {
    color: white;
    font-family: Impact, Haettenschweiler, sans-serif;
    text-decoration: none;
    font-size: clamp(10px, 2.7vw, 51px);
    z-index: 5;
}

.navbar a.active {
    color: #ff6ead; /* leicht grau */
}

.side-menu a.active {
    color: #ff6ead;
}
/*Ende Navbar--------------------------------------------------*/

/*Anfang footer--------------------------------------------------*/
.footer {
    width: 100%;
    padding: 16px 13px 2%;
    display: flex;
    justify-content: flex-start; /* links */
    background-color: #fa0000;
    z-index: 5;
}

.contact {
    display: flex;
    z-index: 5;
}

.contact img {
    width: 53px;  
    cursor: pointer;
    z-index: 5;
}

.reach {
    margin-top: 40%;
    z-index: 5;
}
/*Ende footer--------------------------------------------------*/